connections {

   hub {
      remote_addrs = 192.168.0.100

      local {
         auth = pubkey
         certs = bobCert.pem
         id = bob@strongswan.org
      }
      remote {
         auth = pubkey
         id = carol@strongswan.org
      }
      children {
         hub {
            local_ts = 10.2.0.0/16
            remote_ts = 192.168.0.100/32,10.1.0.0/16

            updown = /usr/local/libexec/ipsec/_updown iptables
            hostaccess = yes
            esp_proposals =aes128-sha256-x25519
            ipcomp = yes
         }
      }
      version = 2
      proposals = aes128-sha256-x25519
   }
}
